Subject: RE: MIPv6 and MIPv4 [Re: (ngtrans) Next steps]

From: "Liu, Changwen" <[email-masked]>
Date: Mon, 25 Mar 2002 11:24:22 -0800

-----Original Message-----
From: Shiao-Li Tsao (Charles) [mailto:[email-masked]]
Sent: Monday, March 25, 2002 2:43 AM
To: changwen
Cc: [email-masked]; Pekka Savola
Subject: Re: MIPv6 and MIPv4 [Re: (ngtrans) Next steps]

> On Tue, 14 Jan 2003, changwen wrote:
> > > > On the question of why such MNv6s need to worry about IPv4, the
> > fundamental
> > > > question is whether we should limit the freedom of such MNv6s
> > unreasonbaly
> > > > and whether we should support ubiquitous computing/roaming? I think
the
> > > > answer should be obvious.
> > >
> > > Disagree: the solution comes with a terrible price.
> >
> > Please elaborate on why the terrible price.
>
> Have a look at your draft to see why.  MIPv4 at MN's, MIPv4 FA's, 6to4
> border routers MIPv4 HA's, no MIPv6 route optimization...

Yes. I agree too. Your draft put too much requirement and implementation
efforts on HA, MN, and border routers although you claim no new protocols
are introduced.

===> Part of that are justified. In short, MIPv4 is for packet routing and
security. MIPv6 is for  mobility. See my email on the thread "Re: (ngtrans)
Next steps" for a more complete discussions.

>
> > > The link to the paper Tim sent on the list would make one assume that
IPv4
> > > connectivity can be enabled with more ease for MNv6's.
> >
> > I don't have access to the full paper. However judged by the abstract in
the
> > web link
(http://link.springer.de/link/service/series/0558/bibs/2158/21580205.htm),
> > clearly, in my best guess, the paper tries to solve issue of how to make
> > mobile node (v4/v6?) transparently communicate with the IPv4 Internet,
which
> > is a different subject from mine.  So I won't compare apples with
oranges.
>
> Whatever, I wouldn't know about that since it isn't a clear to me what
> _actual_ problem your draft seems to try to solve.
>
> > > The case that HAv6 would not be able to operate with IPv4 addresses is
not
> > > a case we need to worry about IMO.
> > >
> > > Please define 'roaming' exactly.
> >
> > One can find the definition in any English dictionary and that what used
in
> > my draft. I believe that is also what used in RFC 3024, RFC 2977, and
> > draft-ietf-mobileip-ipv6-16.txt. FYI, it means: to go around without
> > particular place to go or wander.
>
> Yes, I know what the word means, but to you it seems to mean something
> else, e.g. IPv4 nodes being able to communicate with IPv6 nodes.

====> That's individual misunderstanding for the problem. The advice is to
go to read the draft and other MIP RFCs (RFC 3220, RFC 3024, so on) again to
have better understanding for MIP and my draft.

I don't understand the definition of "roaming" "here" either. It is not
clear to me what you exactly mean by "the third is the roaming support in
IPv4 domain".

Charles

====> "the third is the roaming support in IPv4 domain" means that MNv6
continues roaming in IPv4 domain from one network to another and that
movement must be supported.

====> changwen

>
> --
> Pekka Savola                 "Tell me of difficulties surmounted,
> Netcore Oy                   not those you stumble over and fall"
> Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords
>